import React from "react";
import { useIOC } from "../../../api/SwaggerApi";
import { Skeleton, Tooltip, Typography } from "@mui/material";

function createIocDescription(description) {
  return (
    <>
      {description ? (
        <Tooltip
          title={description}
          arrow
          enterDelay={400}
        >
          <Typography
            style={{
              overflow: "hidden",
              textOverflow: "ellipsis",
              whiteSpace: "nowrap"
            }}
          >
            {description}
          </Typography>
        </Tooltip>
      ) : (
        "---"
      )}
    </>
  );
}

export const IOCDescription = ({ id }) => {
  const [ioc, , , loading] = useIOC(id);

  if (loading) {
    return <Skeleton width="100%" />;
  }
  return createIocDescription(ioc?.description);
};
