import React from "react";
import { useIocStatus } from "../../../api/SwaggerApi";
import { Grid, Skeleton } from "@mui/material";
import { IOCStatusIcon } from "../IOCIcons";

export const IOCStatus = ({ id, activeDeployment }) => {
  const [status, , , loading] = useIocStatus(id);

  return (
    <Grid
      container
      direction="column"
      justifyContent="center"
      alignItems="center"
    >
      {loading ? (
        <Skeleton
          variant="circular"
          height={20}
          width={20}
        />
      ) : (
        <IOCStatusIcon ioc={{ id, activeDeployment, ...status }} />
      )}
    </Grid>
  );
};
