import React from "react";
import { styled } from "@mui/material/styles";
import { Dialog, DialogContent, DialogTitle } from "@mui/material";
const PREFIX = "LogDialog";

const classes = {
  title: `${PREFIX}-title`
};

const StyledDialog = styled(Dialog)(() => ({
  [`& .${classes.title}`]: {
    backgroundColor: "#0099dc",
    color: "#FFFFFF"
  }
}));

export function LogDialog({ open, setOpen, title, content }) {
  const handleClose = () => {
    setOpen(false);
  };

  return (
    <StyledDialog
      open={open}
      onClose={handleClose}
      fullWidth
      maxWidth="xl"
    >
      <DialogTitle
        id="log-dialog-title"
        className={classes.title}
      >
        {title}
      </DialogTitle>
      <DialogContent>{content}</DialogContent>
    </StyledDialog>
  );
}
