import React from "react";
import { Avatar, Card, CardHeader } from "@mui/material";
import { KeyValueTable } from "@ess-ics/ce-ui-common/dist/components/common/KeyValueTable";

export function UserProfile({ userInfo }) {
  const userData = {
    username: userInfo?.loginName,
    avatar: (
      <Avatar
        src={userInfo?.avatar}
        variant="rounded"
      />
    )
  };

  return (
    <Card>
      <CardHeader
        title="User profile page"
        titleTypographyProps={{
          variant: "h2",
          component: "h2"
        }}
      />
      <KeyValueTable
        obj={userData}
        variant="overline"
        sx={{ border: 0 }}
        valueOptions={{ headerName: "" }}
      />
    </Card>
  );
}
