import React from "react";
import { List, ListItem, Paper } from "@mui/material";
import { Link } from "react-router-dom";
import { RecordBadge } from "./RecordBadge";

export function RecordListItem({ record }) {
  return (
    <Paper>
      <ListItem
        button
        component={Link}
        to={record.url}
      >
        <RecordBadge record={record} />
      </ListItem>
    </Paper>
  );
}

export function RecordList({ records }) {
  return (
    <List>
      {records &&
        records.map((record) => {
          record.url = `/records/${record.name}`;
          return (
            <RecordListItem
              key={record.name}
              record={record}
            />
          );
        })}
    </List>
  );
}
