import React from "react";
import { RouterHarness } from "../../../../mocks/AppHarness";
import { JobTable } from "../../../../components/Job/JobTable";
import { hideStorybookControls } from "../../../utils/common-args";
import { Container } from "@mui/material";
import operationList from "../../../../mocks/fixtures/OperationList.json";

export default {
  title: "Jobs/JobTable",
  argTypes: {
    jobs: hideStorybookControls,
    totalCount: hideStorybookControls,
    rowsPerPage: hideStorybookControls,
    lazyParams: hideStorybookControls,
    columnSort: hideStorybookControls,
    setLazyParams: hideStorybookControls,
    setColumnSort: hideStorybookControls
  }
};

const Template = (args) => (
  <RouterHarness>
    <Container>
      <JobTable {...args} />
    </Container>
  </RouterHarness>
);

export const Empty = (args) => <Template {...args} />;

Empty.args = {
  loading: false,
  jobs: [],
  paginator: true,
  totalCount: 0,
  rowsPerPage: [5, 10, 20, 50, 100],
  lazyParams: { rows: 10, page: 0 },
  columnSort: { sortField: null, sortOrder: null },
  setLazyParams: () => {},
  setColumnSort: () => {}
};

export const EmptyLoading = (args) => <Template {...args} />;

EmptyLoading.args = {
  ...Empty.args,
  loading: true
};

export const Populated = (args) => <Template {...args} />;

Populated.args = {
  ...Empty.args,
  totalCount: operationList.totalCount,
  jobs: operationList.operations
};

Populated.argTypes = {
  totalCount: hideStorybookControls,
  hosts: hideStorybookControls,
  loading: hideStorybookControls
};
