import React from "react";
import { Grid } from "@mui/material";
import { styled } from "@mui/material/styles";
import { RootContainer } from "../../components/common/Container/RootContainer";
import { UserProfile } from "../../components/common/User/UserProfile";
import { UserIocList } from "../../components/common/User/UserIOCList";
import { UserOperationList } from "../../components/common/User/UserOperationList";

const PREFIX = "UserPage";

const classes = {
  paper: `${PREFIX}-paper`
};

const StyledRootContainer = styled(RootContainer)(({ theme }) => ({
  [`& .${classes.paper}`]: {
    maxWidth: "80%",
    padding: theme.spacing(4)
  }
}));

export function UserPageView({ userName, userInfo }) {
  return (
    <StyledRootContainer>
      <Grid
        container
        spacing={1}
      >
        <Grid
          item
          xs={12}
        >
          <UserProfile userInfo={userInfo} />
        </Grid>
        <Grid
          item
          xs={12}
        >
          <UserOperationList userName={userName} />
        </Grid>
        <Grid
          item
          xs={12}
        >
          <UserIocList userName={userName} />
        </Grid>
      </Grid>
    </StyledRootContainer>
  );
}
