import React, { useState } from "react";
import { HostDetailsView } from "./HostDetailsView";
import { LinearProgress } from "@mui/material";
import { useHost } from "../../api/SwaggerApi";
import { onFetchEntityError } from "../../components/common/Helper";
import NotFoundView from "../../components/navigation/NotFoundView/NotFoundView";

export function HostDetailsContainer({ id }) {
  const [notFoundError, setNotFoundError] = useState();
  const [host] = useHost(id, (m, s) => {
    // handle error code 404, and define custom message on the UI because BE sends back generic error message
    onFetchEntityError(m, s, setNotFoundError);
  });

  return (
    <>
      {notFoundError ? (
        <NotFoundView />
      ) : host ? (
        <HostDetailsView
          host={host}
          id={id}
        />
      ) : (
        <LinearProgress color="primary" />
      )}
    </>
  );
}
